POST
/api/v2/admin/vouchers/approvals/{id}POST /api/v2/admin/vouchers/approvals/{id}
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id (path) | string (uuid) | Yes | |
| companyId (query) | unknown | No | |
| Idempotency-Key (header) | string | No |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Approve | boolean | No | |
| Reason | string | Yes | |
| Notes | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| VoucherId | string (uuid) | Yes | |
| VoucherName | string | Yes | |
| Amount | unknown | Yes | |
| Currency | string | Yes | |
| Status | string | Yes | |
| TransactionReference | string | Yes | |
| ErrorCode | string | Yes | |
| CreatedAt | string (date-time) | Yes | |
| CompletedAt | string (date-time) | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/admin/vouchers/approvals/{id}" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Reason":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.